@font-face {
  font-display: swap;
  font-family: "Montserrat2";
  font-style: normal;
  font-weight: 400;
  src: url("montserrat-latin-400-normal.woff2") format("woff2");
}

@font-face {
  font-display: swap;
  font-family: "Montserrat2";
  font-style: normal;
  font-weight: 700;
  src: url("montserrat-latin-700-normal.woff2") format("woff2");
}

/* Montserrat-VariableFont-wght.ttf */
@font-face {
  font-display: swap;
  font-family: "Montserrat";
  font-style: normal;
  font-weight: 500 600 700;
  src: url("font-montserrat.ttf");
}

:root {
  --site-width: 1024px;
  --site-padding: calc(8px + 1.5625vw);
  --primary-font: "Montserrat", sans-serif;
  --secondary-font: Arial, Helvetica Neue, Helvetica, sans-serif;
  --primary-brand-color: #00ffa3;
  --primary-text-color: #f5f5f5; /*#fffff0;*/
  --body-text-color: #ccc;
  --background-color: #09102b;
  --h1: clamp(2.44rem, 1.36vw + 2.17rem, 3.26rem);
  --h2: clamp(1.95rem, 0.82vw + 1.79rem, 2.44rem);
  --h3: clamp(1.56rem, 0.45vw + 1.47rem, 1.83rem);
  --h4: clamp(1.25rem, 0.21vw + 1.21rem, 1.38rem);
  --h1-line-height: 1.1;
  --h2-line-height: 1.2;
  --h3-line-height: 1.3;
  --h3-line-height: 1.4;
  --text-m: clamp(1rem, 0.21vw + 0.96rem, 1.13rem);
  --text-s: clamp(0.89rem, 0.08vw + 0.87rem, 0.94rem);
  --text-xs: clamp(0.79rem, -0.01vw + 0.79rem, 0.78rem);
  --text-m-line-height: 1.5;
  --text-s-line-height: 1.6;
  --text-xs-line-height: 1.7;
  --filter-color: brightness(0) saturate(100%) invert(62%) sepia(72%) saturate(2905%) hue-rotate(157deg) brightness(98%) contrast(106%); /* blue */
  --filter-color: brightness(0) saturate(100%) invert(68%) sepia(97%) saturate(493%) hue-rotate(97deg) brightness(100%) contrast(103%); /* green */
}

/* [ STRUCTURE ] */
/* header */
body > header {
  background: var(--background-color);
  position: sticky;
  top: 0;
  right: 0;
  left: 0;
  z-index: 2;
  width: 100%;
  padding: 0 var(--site-padding) 12px;
}

body > header section {
  display: flex;
  align-items: center;
  width: 100%;
  max-width: var(--site-width);
  margin: auto;
}

body > header > div {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

@media (max-width: 768px) {
  body > header > div {
    width: 100%;
  }
}

/* body */
body {
  margin: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 100%;
}

/* main */
main > section {
  max-width: var(--site-width);
  margin: auto;
}

/* [ STYLE ] */
/* svg icon and brand color overrides 
filter color generator: https://cssfilterconverter.com/
*/
body nav a:target,
body nav a[aria-current="page"],
body nav a:hover {
  filter: var(--filter-color);
}

body mark {
  filter: var(--filter-color);
}

body button {
  filter: var(--filter-color);
}

body .xCoreService img {
  filter: var(--filter-color);
}

h1 {
  font-size: var(--h2);
}

h2 {
  font-size: var(--h3);
}

h3 {
  font-size: var(--h4);
}

*,
:after,
:before,
html {
  box-sizing: border-box;
}

:after,
:before {
  outline: none;
}

:target {
  scroll-margin-top: 100px;
}

html {
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  font-size: 100%;
  height: 100%;
  scroll-behavior: smooth;

  /*overflow: hidden;*/
}

/* [ Body ] */
body {
  /*-webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;*/
  color: var(--body-text-color);
  font-family: var(--primary-font);
  font-size: var(--text-m);
  line-height: var(--text-m-line-height);
  background-color: var(--background-color);
}

body.xNoScroll {
  overflow: hidden;
}

h1, h2, h3 {
  margin-top: 0;
  margin-bottom: 10px;
  font-weight: 400;
  color: var(--primary-text-color);
}

h2, h2 + p, h3 {
  text-align: center;
}

h2 + p:last-of-type {
  margin-bottom: 40px;
}

mark {
  color: var(--primary-brand-color);
  background: none;
}

p {
  margin-top: 0;
  margin-bottom: 10px;
}

a {
  text-decoration: none;
  color: #ddd;
}

a:active, a:hover {
  outline: 0;
}

button {
  background: none;
  border: 0;
  cursor: pointer;
  color: #ffffff;
  color: var(--primary-brand-color);
}

ul, ol {
  margin-top: 0;
  margin-bottom: 10px;
  padding-left: 40px;
}

img {
  border: 0;
  max-width: 100%;
  vertical-align: middle;
  display: inline-block;
}

svg:not(:root) {
  overflow: hidden;
}

.xHidden {
  display: none !important;
}

/* [ HEADER ] */
body > header section {
  transition: background-color .2s, transform .4s;
}

/* logo */
#xLogo {
  object-position: 0;
  object-fit: contain;
  height: auto;
  margin-right: auto;
  padding: 16px 0;
  transition: all 0.5s ease;
  font-weight: bold;
  font-size: 20px;
  display: flex;
  align-items: center;
}

#xLogo img {
  border-right: 1px solid white;
  margin-right: 8px;
  padding-right: 10px;
  height: 22px;
  width: auto;
}

/* nav */
body > header nav {
  background: var(--background-color);
}

body > header nav ul {
  display: flex;
  flex-wrap: wrap;
  list-style-type: none;
  margin: 0;
  padding: 0;
  gap: 20px 40px;
}

body > header nav a {
  font-family: var(--primary-font);
  display: inline-flex;
  color: var(--primary-text-color);
  font-size: 16px;
  font-weight: 500;
  padding: 8px 0;
}

nav ul li:last-child {
  position: relative;
}

nav ul li:last-child a {
  padding-right: 0;
}

nav a:target,
nav a[aria-current="page"],
nav a:hover {
  color: var(--primary-brand-color);
}

nav #xLink {
  position: absolute;
  right: 0;
  display: flex;
  width: max-content;
  color: var(--primary-text-color);
}

nav #xLink img {
  padding-right: 4px;
}

.xNoScroll nav #xLink {
  position: relative;
  right: auto;
  left: 0;
  display: flex;
  width: max-content;
}

/* nav desktop menu toggle */
#xMenuToggle {
  display: none;
  background: none;
  border: 0;
  cursor: pointer;
  margin: 0 0 0 20px;
  padding: 0;
  width: 20px;
  height: 20px;
  position: relative;
  z-index: 99;
}

#xMenuToggle span {
  padding: 0;
  width: 20px;
  height: 2px;
  background-color: var(--primary-text-color);
  display: block;
  position: absolute;
}

#xMenuToggle .xBar1 {
  top: 0;
  transform-origin: 5%;
}

#xMenuToggle .xBar2 {
  top: 9.5px;
  right: 0;
}

#xMenuToggle .xBar3 {
  bottom: 0;
  transform-origin: 5%;
}

/* nav mobile menu toggle */
.xNoScroll #xMenuToggle .xBar1 {
  transform: rotate(45deg);
  width: 28px;
}

.xNoScroll #xMenuToggle .xBar2 {
  transform: rotate(45deg);
  background-color: transparent;
  width: 30px;
  right: -3px;
}

.xNoScroll #xMenuToggle .xBar3 {
  transform: rotate(-45deg);
  width: 28px;
}

@media (max-width: 860px) {
  body > header nav {
    display: none;
  }
  
  .xNoScroll > header nav {
    display: block;
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    border: 1px solid #16244e;
    padding: 16px var(--site-padding) 20px;
  }

  body > header nav ul {
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    overflow-y: auto;
    gap: 0px;
  }

  #xMenuToggle {
    display: flex;
  }
}

/* [ MAIN ] */
main {
  padding: 0 var(--site-padding);
  padding-bottom: 140px;
}

main section {
  margin: 60px 0;
  padding: 0 var(--site-padding);
}

/* [ PARTICLES JS/HOME/CRAWL ] */
#xParticlesJs {
  position: fixed;
  top: 0;
  bottom: 0;
  z-index: -1;
  width: 100%;
  height: 100%;
  background: none;
}

#home {
  margin-top: 0;
  padding-top: 0;
  padding-bottom: 0;
  display: flex;
}

@media screen and (min-width: 1440px) {
  #home {
    background-position: 0 0, 50% 79%;
    background-size: auto, 110%;
    margin-top: 0;
    padding-top: 0;
    padding-bottom: 0;
  }
}

#home > div {
  display: grid;
  gap: 40px;
  align-items: center;
  width: 100%;
}

@media (min-width: 768px) {
  #home > div {
    grid-template-columns: 40% 1fr;
  }
}

#home .xMain > div:first-child {
  padding-top: 40px;
}

#xCrawl {
  mask-image: radial-gradient(circle at center, black 50%, transparent 100%);
  -webkit-mask-image: radial-gradient(circle at center, black 50%, transparent 100%);
  background: url("crawl.png");
  background-position: center;
  background-size: cover;
  position: relative;
  display: grid;
  grid-auto-rows: 1fr;
  width: 100%;
  height: 430px;
  border-radius: 8px;
  overflow: hidden;
}

#xCrawlHeader {
  text-align: center;
  align-content: end;
  margin: 0;
}

#xCrawlPlayToggle {
  margin-left: 16px;
}

#xCrawlAudioToggle {
  margin-left: 0px;
}

#xCrawlPlay,
#xCrawlPause {
  display: flex;
  align-items: center;
  gap: 8px;
}

#xCrawlVolumeMute,
#xCrawlVolumeUp {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 8px;
}

#xCrawlPlay,
#xCrawlPause {
  gap: 0;
}

#xCrawlMain {
  position: relative;
  overflow: hidden;
}

#xCrawlPerspective {
  -webkit-transform: perspective(300px) rotateX(25deg);
	-moz-transform: perspective(300px) rotateX(25deg);
	-ms-transform: perspective(300px) rotateX(25deg);
	-o-transform: perspective(300px) rotateX(25deg);
  transform: perspective(300px) rotateX(25deg);
  -webkit-transform-origin: 50% 100%;
	-moz-transform-origin: 50% 100%;
	-ms-transform-origin: 50% 100%;
	-o-transform-origin: 50% 100%;
  transform-origin: 50% 100%;
  text-align: justify;
  position: absolute;
  overflow: hidden;
  height: 500px;
  width: 100%;
  bottom: 0;
  left: 0;
  line-height: 1.5;
  color: #bbbbbb;
}

#xCrawlContent {
  -webkit-animation: scroll 40s linear 0s infinite;
	-moz-animation: scroll 40s linear 0s infinite;
	-ms-animation: scroll 40s linear 0s infinite;
	-o-animation: scroll 40s linear 0s infinite;
  animation: scroll 40s linear 0s infinite;
  position: absolute;
  top: 100%;
  font-variant: small-caps;
}

#xCrawlContent p {
  margin-bottom: 40px;
}

@-webkit-keyframes scroll {
	0% { top: 100%; }
	100% { top: -170%; }
}

@-moz-keyframes scroll {
	0% { top: 100%; }
	100% { top: -170%; }
}

@-ms-keyframes scroll {
	0% { top: 100%; }
	100% { top: -170%; }
}

@-o-keyframes scroll {
	0% { top: 100%; }
	100% { top: -170%; }
}

@keyframes scroll {
	0% { top: 100%; }
	100% { top: -170%; }
}

/* crawl states */
#xCrawl:hover {
  cursor: pointer;
}

.xCrawlPaused #xCrawlPause,
#xCrawl:hover #xCrawlPause,
#xCrawlPlay,
#xCrawlPause span,
#xCrawlPlay span,
#xCrawlAudioToggle.xCrawlVolumeMute #xCrawlVolumeUp,
#xCrawlAudioToggle #xCrawlVolumeMute {
  display: none;
}

#xCrawl:hover #xCrawlPlay,
.xCrawlPaused #xCrawlPlay,
#xCrawlPause:hover span,
#xCrawlPlay:hover span,
#xCrawlAudioToggle.xCrawlVolumeMute #xCrawlVolumeMute,
#xCrawlAudioToggle #xCrawlVolumeUp {
  display: flex;
}

.xCrawlPaused #xCrawlContent {
  animation-play-state: paused;
}

/* [ SERVICES ] */
#services > div {
  display: grid;
  gap: 24px;
}

@media (min-width: 768px) {
  #services > div {
    grid-template-columns: repeat(3, 1fr);
  }
}

.xCoreService {
  font-size: 16px;
  line-height: 28px;
  background-image: linear-gradient(to top, rgba(12, 31, 85, .34), rgba(107, 144, 229, 0));
  border: 1px solid rgba(49, 109, 217, .39);
  border-radius: 10px;
  padding: 20px;
  text-align: center;
}

.xCoreService img {
  margin: 10px 0;
}

/* [ TEAM ] */
.process header {
  display: flex;
}

.process .xImg {
  width: 120px;
  height: 120px;
  opacity: 1;
  filter: saturate(200%);
  background-position: 50%;
  background-repeat: no-repeat;
  background-size: 120%;
}

.process-01 .xImg {
  background-image: url(process-01.svg);
}

.process-02 .xImg {
  background-image: url(process-02.svg);
}

.process-03 .xImg {
  background-image: url(process-03.svg);
}

.process-04 .xImg {
  background-image: url(process-04.svg);
}

.process p {
  font-size: var(--text-s);
  text-align: center;
}

@media (min-width: 992px) {
  #process > .xMain {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .process .xImg {
    width: 170px;
    height: 190px;
  }
  
  .process {
    display: flex;
    flex-direction: column;
  }

  .process .xMain {
    width: 170px;
  }
}

@media (max-width: 992px) {
.process {
    display: flex;
  }

  .process header {
    flex-direction: column;
    align-items: center;
  }

  .process header img {
    rotate: 90deg;
  }

  .process .xMain {
    padding: 24px 16px 0;
  }

  .process h3,
  .process p {
    text-align: left;
  }
}

/* [ KEY ] */
#xInfo h2 {
  margin-bottom: 20px;
}

#xInfo > div {
  display: grid;
  gap: 16px;
}

@media (min-width: 768px) {
  #xInfo > div {
    grid-template-columns: repeat(2, 1fr);
    gap: 32px;
  }
}

.xBox {
  background-image: linear-gradient(to top, rgba(12, 31, 85, .34), rgba(107, 144, 229, 0));
  border: 1px solid rgba(49, 109, 217, .39);
  padding: 15px;
  text-align: center;
}

#xPrivacyPolicy {
  position: fixed;
  top: 80px;
  right: 0;
  left: 0;
  bottom: 60px;
  background: var(--background-color);
  margin: auto;
  padding-top: 20px;
  padding-bottom: 60px;
  font-size: 14px;
}

#xPrivacyPolicy .xMain {
  background: var(--background-color);
  background-image: linear-gradient(to bottom, rgba(12, 31, 85, .34), rgba(107, 144, 229, 0));
  border: 1px solid rgba(49, 109, 217, .39);
  color: #f5f5f5;
  padding: 20px;
  height: 100%;
  overflow: auto;
}

#xPrivacyPolicy header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin-bottom: 10px;
}

#xPrivacyPolicy h3 {
  font-weight: 400;
  margin-bottom: 0;
}

#xPrivacyPolicy h4 {
  font-weight: 400;
  margin-bottom: 0;
}

/* [ FOOTER ] */
body > footer {
  position: relative;
  width: 100%;
  font-size: var(--text-s);
  border-top: 1px solid rgba(49, 109, 217, .39);
  text-align: center;
  background: var(--background-color);
}

body > footer > section {
  padding: 10px var(--site-padding);
  margin: auto;
}

body > footer > section .xMain {
  display: flex;
  width: 100%;
}

body > footer > section {
  max-width: var(--site-width);
  display: flex;
  gap: 8px;
  align-items: center;
}

body > footer p {
  margin: 0;
  flex: 1;
  display: flex;
  justify-content: flex-start;
}

#xPrivacyPolicyToggle {
  font-size: var(--text-s);
  flex: 1;
  display: flex;
  justify-content: center;
  cursor: pointer;
}

@media (max-width: 480px) {
  body > footer > section .xMain {
    flex-direction: column;
  }
}

#xBackToTop {
  flex: 1;
  display: flex;
  justify-content: flex-end;
}

#xUFO {
  position: fixed;
  inset: 0;          /* top:0; right:0; bottom:0; left:0 */
  pointer-events: none;  /* so it doesn’t block clicks if you don’t want it to */
  overflow: hidden;      /* keeps mover inside the viewport, no scrollbars */
  z-index: 9999;
}

#ufo-toolbar {
  z-index: 5;
  position: fixed;
  right: 0;
}

#ufo-toolbar button {
  filter: var(--background-color);
  color: var(--background-color);
}

.ufo {
  height: 50px;
  position: absolute;
  cursor: pointer;
  z-index: 5;
}

